Index: NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce+ice/namelist_ecmwf-an05_cfg
===================================================================
--- NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce+ice/namelist_ecmwf-an05_cfg	(revision 13832)
+++ NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce+ice/namelist_ecmwf-an05_cfg	(revision 13835)
@@ -2,5 +2,5 @@
 !! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!             STATION_ASF configuration with ICE, ERA5_arctic forcing
+!!             STATION_ASF configuration with ICE, <FORCING> forcing
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -26,5 +26,5 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   cn_exp      =  'STATION_ASF-ECMWF-AN05_ERA5_arctic'  !  experience name
+   cn_exp      =  'STATION_ASF-ECMWF-AN05_<FORCING>'  !  experience name
    nn_it000    =    1   !  first time step
    nn_itend    =    8760   !  last  time step => 3 years (including 1 leap!) at dt=3600s
@@ -136,13 +136,13 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !       weights filename               ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
-   sn_wndi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_wndj     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_qsr      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_qlw      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_tair     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_humi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_prec     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_snow     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_slp      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_wndi     = '<SFORC>',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_wndj     = '<SFORC>',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_qsr      = '<SFORC>',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_qlw      = '<SFORC>',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_tair     = '<SFORC>',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_humi     = '<SFORC>',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_prec     = '<SFORC>',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_snow     = '<SFORC>',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_slp      = '<SFORC>',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
 /
 !-----------------------------------------------------------------------
@@ -163,14 +163,14 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_usp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_vsp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_tem  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_sal  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_ssh  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_usp  = '<SFORC>', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_vsp  = '<SFORC>', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_tem  = '<SFORC>', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_sal  = '<SFORC>', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ssh  = '<SFORC>', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
    !!
    !! Following only needed with STATION_ASF compiled with "sea-ice" support: "key_si3" (ice fraction, ice surface temperature and sea-ice albedo:
-   sn_ifr  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'siconc'  ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_tic  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'istl1'   ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_ial  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'fal'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ifr  = '<SFORC>', 1.         , 'siconc'  ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_tic  = '<SFORC>', 1.         , 'istl1'   ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ial  = '<SFORC>', 1.         , 'ialb'    ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
 /
 !!======================================================================
Index: NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce+ice/namelist_ecmwf-cstc_cfg
===================================================================
--- NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce+ice/namelist_ecmwf-cstc_cfg	(revision 13832)
+++ NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce+ice/namelist_ecmwf-cstc_cfg	(revision 13835)
@@ -2,5 +2,5 @@
 !! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!             STATION_ASF configuration with ICE, ERA5_arctic forcing
+!!             STATION_ASF configuration with ICE, <FORCING> forcing
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -26,5 +26,5 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   cn_exp      =  'STATION_ASF-ECMWF-CSTC_ERA5_arctic'  !  experience name
+   cn_exp      =  'STATION_ASF-ECMWF-CSTC_<FORCING>'  !  experience name
    nn_it000    =    1   !  first time step
    nn_itend    =    8760   !  last  time step => 3 years (including 1 leap!) at dt=3600s
@@ -136,13 +136,13 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !       weights filename               ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
-   sn_wndi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_wndj     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_qsr      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_qlw      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_tair     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_humi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_prec     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_snow     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_slp      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_wndi     = '<SFORC>',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_wndj     = '<SFORC>',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_qsr      = '<SFORC>',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_qlw      = '<SFORC>',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_tair     = '<SFORC>',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_humi     = '<SFORC>',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_prec     = '<SFORC>',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_snow     = '<SFORC>',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_slp      = '<SFORC>',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
 /
 !-----------------------------------------------------------------------
@@ -163,14 +163,14 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_usp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_vsp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_tem  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_sal  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_ssh  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_usp  = '<SFORC>', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_vsp  = '<SFORC>', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_tem  = '<SFORC>', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_sal  = '<SFORC>', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ssh  = '<SFORC>', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
    !!
    !! Following only needed with STATION_ASF compiled with "sea-ice" support: "key_si3" (ice fraction, ice surface temperature and sea-ice albedo:
-   sn_ifr  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'siconc'  ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_tic  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'istl1'   ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_ial  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'fal'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ifr  = '<SFORC>', 1.         , 'siconc'  ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_tic  = '<SFORC>', 1.         , 'istl1'   ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ial  = '<SFORC>', 1.         , 'ialb'    ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
 /
 !!======================================================================
Index: NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce+ice/namelist_ecmwf-lg15_cfg
===================================================================
--- NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce+ice/namelist_ecmwf-lg15_cfg	(revision 13832)
+++ NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce+ice/namelist_ecmwf-lg15_cfg	(revision 13835)
@@ -2,5 +2,5 @@
 !! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!             STATION_ASF configuration with ICE, ERA5_arctic forcing
+!!             STATION_ASF configuration with ICE, <FORCING> forcing
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -26,5 +26,5 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   cn_exp      =  'STATION_ASF-ECMWF-LG15_ERA5_arctic'  !  experience name
+   cn_exp      =  'STATION_ASF-ECMWF-LG15_<FORCING>'  !  experience name
    nn_it000    =    1   !  first time step
    nn_itend    =    8760   !  last  time step => 3 years (including 1 leap!) at dt=3600s
@@ -136,13 +136,13 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !       weights filename               ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
-   sn_wndi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_wndj     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_qsr      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_qlw      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_tair     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_humi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_prec     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_snow     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_slp      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_wndi     = '<SFORC>',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_wndj     = '<SFORC>',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_qsr      = '<SFORC>',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_qlw      = '<SFORC>',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_tair     = '<SFORC>',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_humi     = '<SFORC>',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_prec     = '<SFORC>',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_snow     = '<SFORC>',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_slp      = '<SFORC>',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
 /
 !-----------------------------------------------------------------------
@@ -163,14 +163,14 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_usp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_vsp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_tem  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_sal  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_ssh  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_usp  = '<SFORC>', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_vsp  = '<SFORC>', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_tem  = '<SFORC>', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_sal  = '<SFORC>', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ssh  = '<SFORC>', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
    !!
    !! Following only needed with STATION_ASF compiled with "sea-ice" support: "key_si3" (ice fraction, ice surface temperature and sea-ice albedo:
-   sn_ifr  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'siconc'  ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_tic  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'istl1'   ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_ial  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'fal'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ifr  = '<SFORC>', 1.         , 'siconc'  ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_tic  = '<SFORC>', 1.         , 'istl1'   ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ial  = '<SFORC>', 1.         , 'ialb'    ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
 /
 !!======================================================================
Index: NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce+ice/namelist_ecmwf-lu12_cfg
===================================================================
--- NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce+ice/namelist_ecmwf-lu12_cfg	(revision 13832)
+++ NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce+ice/namelist_ecmwf-lu12_cfg	(revision 13835)
@@ -2,5 +2,5 @@
 !! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!             STATION_ASF configuration with ICE, ERA5_arctic forcing
+!!             STATION_ASF configuration with ICE, <FORCING> forcing
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -26,5 +26,5 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   cn_exp      =  'STATION_ASF-ECMWF-LU12_ERA5_arctic'  !  experience name
+   cn_exp      =  'STATION_ASF-ECMWF-LU12_<FORCING>'  !  experience name
    nn_it000    =    1   !  first time step
    nn_itend    =    8760   !  last  time step => 3 years (including 1 leap!) at dt=3600s
@@ -136,13 +136,13 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !       weights filename               ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
-   sn_wndi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_wndj     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_qsr      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_qlw      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_tair     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_humi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_prec     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_snow     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_slp      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_wndi     = '<SFORC>',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_wndj     = '<SFORC>',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_qsr      = '<SFORC>',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_qlw      = '<SFORC>',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_tair     = '<SFORC>',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_humi     = '<SFORC>',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_prec     = '<SFORC>',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_snow     = '<SFORC>',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_slp      = '<SFORC>',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
 /
 !-----------------------------------------------------------------------
@@ -163,14 +163,14 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_usp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_vsp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_tem  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_sal  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_ssh  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_usp  = '<SFORC>', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_vsp  = '<SFORC>', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_tem  = '<SFORC>', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_sal  = '<SFORC>', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ssh  = '<SFORC>', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
    !!
    !! Following only needed with STATION_ASF compiled with "sea-ice" support: "key_si3" (ice fraction, ice surface temperature and sea-ice albedo:
-   sn_ifr  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'siconc'  ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_tic  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'istl1'   ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_ial  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'fal'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ifr  = '<SFORC>', 1.         , 'siconc'  ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_tic  = '<SFORC>', 1.         , 'istl1'   ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ial  = '<SFORC>', 1.         , 'ialb'    ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
 /
 !!======================================================================
Index: NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce/namelist_andreas_cfg
===================================================================
--- NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce/namelist_andreas_cfg	(revision 13832)
+++ NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce/namelist_andreas_cfg	(revision 13835)
@@ -2,5 +2,5 @@
 !! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!             STATION_ASF configuration, ERA5_arctic forcing
+!!             STATION_ASF configuration, <FORCING> forcing
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -26,5 +26,5 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   cn_exp      =  'STATION_ASF-ANDREAS_ERA5_arctic'  !  experience name
+   cn_exp      =  'STATION_ASF-ANDREAS_<FORCING>'  !  experience name
    nn_it000    =    1   !  first time step
    nn_itend    =    8760   !  last  time step => 3 years (including 1 leap!) at dt=3600s
@@ -127,13 +127,13 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !       weights filename               ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
-   sn_wndi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_wndj     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_qsr      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_qlw      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_tair     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_humi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_prec     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_snow     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_slp      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_wndi     = '<SFORC>',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_wndj     = '<SFORC>',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_qsr      = '<SFORC>',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_qlw      = '<SFORC>',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_tair     = '<SFORC>',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_humi     = '<SFORC>',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_prec     = '<SFORC>',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_snow     = '<SFORC>',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_slp      = '<SFORC>',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
 /
 !-----------------------------------------------------------------------
@@ -154,9 +154,9 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_usp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_vsp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_tem  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_sal  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_ssh  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_usp  = '<SFORC>', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_vsp  = '<SFORC>', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_tem  = '<SFORC>', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_sal  = '<SFORC>', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ssh  = '<SFORC>', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
 /
 !!======================================================================
Index: NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce/namelist_coare3p6_cfg
===================================================================
--- NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce/namelist_coare3p6_cfg	(revision 13832)
+++ NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce/namelist_coare3p6_cfg	(revision 13835)
@@ -2,5 +2,5 @@
 !! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!             STATION_ASF configuration, ERA5_arctic forcing
+!!             STATION_ASF configuration, <FORCING> forcing
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -26,5 +26,5 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   cn_exp      =  'STATION_ASF-COARE3p6_ERA5_arctic'  !  experience name
+   cn_exp      =  'STATION_ASF-COARE3p6_<FORCING>'  !  experience name
    nn_it000    =    1   !  first time step
    nn_itend    =    8760   !  last  time step => 3 years (including 1 leap!) at dt=3600s
@@ -127,13 +127,13 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !       weights filename               ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
-   sn_wndi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_wndj     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_qsr      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_qlw      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_tair     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_humi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_prec     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_snow     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_slp      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_wndi     = '<SFORC>',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_wndj     = '<SFORC>',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_qsr      = '<SFORC>',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_qlw      = '<SFORC>',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_tair     = '<SFORC>',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_humi     = '<SFORC>',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_prec     = '<SFORC>',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_snow     = '<SFORC>',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_slp      = '<SFORC>',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
 /
 !-----------------------------------------------------------------------
@@ -154,9 +154,9 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_usp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_vsp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_tem  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_sal  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_ssh  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_usp  = '<SFORC>', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_vsp  = '<SFORC>', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_tem  = '<SFORC>', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_sal  = '<SFORC>', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ssh  = '<SFORC>', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
 /
 !!======================================================================
Index: NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce/namelist_ecmwf_cfg
===================================================================
--- NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce/namelist_ecmwf_cfg	(revision 13832)
+++ NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce/namelist_ecmwf_cfg	(revision 13835)
@@ -2,5 +2,5 @@
 !! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!             STATION_ASF configuration, ERA5_arctic forcing
+!!             STATION_ASF configuration, <FORCING> forcing
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -26,5 +26,5 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   cn_exp      =  'STATION_ASF-ECMWF_ERA5_arctic'  !  experience name
+   cn_exp      =  'STATION_ASF-ECMWF_<FORCING>'  !  experience name
    nn_it000    =    1   !  first time step
    nn_itend    =    8760   !  last  time step => 3 years (including 1 leap!) at dt=3600s
@@ -127,13 +127,13 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !       weights filename               ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
-   sn_wndi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_wndj     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_qsr      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_qlw      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_tair     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_humi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_prec     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_snow     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_slp      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_wndi     = '<SFORC>',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_wndj     = '<SFORC>',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_qsr      = '<SFORC>',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_qlw      = '<SFORC>',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_tair     = '<SFORC>',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_humi     = '<SFORC>',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_prec     = '<SFORC>',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_snow     = '<SFORC>',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_slp      = '<SFORC>',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
 /
 !-----------------------------------------------------------------------
@@ -154,9 +154,9 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_usp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_vsp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_tem  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_sal  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_ssh  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_usp  = '<SFORC>', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_vsp  = '<SFORC>', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_tem  = '<SFORC>', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_sal  = '<SFORC>', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ssh  = '<SFORC>', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
 /
 !!======================================================================
Index: NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce/namelist_ncar_cfg
===================================================================
--- NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce/namelist_ncar_cfg	(revision 13832)
+++ NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/ERA5_arctic/oce/namelist_ncar_cfg	(revision 13835)
@@ -2,5 +2,5 @@
 !! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!             STATION_ASF configuration, ERA5_arctic forcing
+!!             STATION_ASF configuration, <FORCING> forcing
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -26,5 +26,5 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   cn_exp      =  'STATION_ASF-NCAR_ERA5_arctic'  !  experience name
+   cn_exp      =  'STATION_ASF-NCAR_<FORCING>'  !  experience name
    nn_it000    =    1   !  first time step
    nn_itend    =    8760   !  last  time step => 3 years (including 1 leap!) at dt=3600s
@@ -127,13 +127,13 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !       weights filename               ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
-   sn_wndi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_wndj     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
-   sn_qsr      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_qlw      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_tair     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_humi     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
-   sn_prec     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_snow     = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
-   sn_slp      = 'ERA5_arctic_surface_81N_36p75E_1h',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_wndi     = '<SFORC>',  1.  ,  'u10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_wndj     = '<SFORC>',  1.  ,  'v10'    ,   .true.    , .false. , 'yearly'  , ''   ,''   , ''
+   sn_qsr      = '<SFORC>',  1.  ,  'ssrd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_qlw      = '<SFORC>',  1.  ,  'strd'   ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_tair     = '<SFORC>',  1.  ,  't2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_humi     = '<SFORC>',  1.  ,  'd2m'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
+   sn_prec     = '<SFORC>',  1.  ,  'tp'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_snow     = '<SFORC>',  1.  ,  'sf'     ,   .false.   , .false. , 'yearly'  , ''  , ''   , ''
+   sn_slp      = '<SFORC>',  1.  ,  'msl'    ,   .true.    , .false. , 'yearly'  , ''  , ''   , ''
 /
 !-----------------------------------------------------------------------
@@ -154,9 +154,9 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_usp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_vsp  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_tem  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_sal  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
-   sn_ssh  = 'ERA5_arctic_surface_81N_36p75E_1h', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_usp  = '<SFORC>', 1.         , 'ssu'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_vsp  = '<SFORC>', 1.         , 'ssv'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_tem  = '<SFORC>', 1.         , 'sst'     ,   .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_sal  = '<SFORC>', 1.         , 'sss',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_ssh  = '<SFORC>', 1.         , 'ssh',        .true.    , .false. , 'yearly'  ,    ''            ,    ''    ,    ''
 /
 !!======================================================================
Index: NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/launch_sasf.sh
===================================================================
--- NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/launch_sasf.sh	(revision 13832)
+++ NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/launch_sasf.sh	(revision 13835)
@@ -19,5 +19,6 @@
 #     => SFORC: string sufficient to copy relevant files as in "*${SFORC}*.nc"
 #FORCING="PAPA"         ; i_sea_ice=0 ; SFORC="Station_PAPA_50N-145W"
-FORCING="ERA5_arctic" ; i_sea_ice=1 ; SFORC="ERA5_arctic_surface_81N_36p75E_1h" ; # "ERA5_arctic" WITH ice/air flux computation
+#FORCING="ERA5_arctic" ; i_sea_ice=1 ; SFORC="ERA5_arctic_surface_81N_36p75E_1h" ; # "ERA5_arctic" WITH ice/air flux computation
+FORCING="ERA5_NorthGreenland" ; i_sea_ice=1 ; SFORC="ERA5_NorthGreenland_surface_84N_-36E_1h" ; # WITH ice/air flux computation
 #FORCING="ERA5_arctic" ; i_sea_ice=0 ; SFORC="ERA5_arctic_surface_81N_36p75E_1h" ; # "ERA5_arctic" WITHOUT ice/air flux computation
 
@@ -76,4 +77,7 @@
 
 # Ok things are a bit different whether we compute fluxes over open ocean only or open ocean + sea-ice
+
+DIR_F=`echo ${FORCING} | cut -d'_' -f1` ; # "ERA5_blabla" => "ERA5" !
+
 if [ ${i_sea_ice} -eq 1 ]; then
     # OPEN-OCEAN/AIR + SEA-ICE/AIR flux computation
@@ -81,12 +85,12 @@
     LIST_OA_ALGOS="ECMWF" ;          # list of air-sea algorithms to test
     LIST_IA_ALGOS="AN05 LG15 LU12 CSTC" ; # list of air-ice algorithms to test
-    DIR_NL=${FORCING}/oce+ice ; # where to fetch the namelists from...
+    DIR_NL=${DIR_F}/oce+ice ; # where to fetch the namelists from...
 else
     # Only OPEN-OCEAN/AIR flux computation
     LIST_OA_ALGOS="NCAR ECMWF COARE3p6 ANDREAS"; # list of air-sea algorithms to test
     LIST_IA_ALGOS=""
-    DIR_NL=${FORCING}/oce ; # where to fetch the namelists from...
-fi
-if [ ! -d ${DIR_NL} ]; then echo " Mhhh, seems like forcing ${FORCING} is not meant to be used with sea-ice/air flux computation !"; exit; fi
+    DIR_NL=${DIR_F}/oce ; # where to fetch the namelists from...
+fi
+if [ ! -d ${DIR_NL} ]; then echo " Mhhh, ${DIR_NL} not found !"; exit; fi
 
 
@@ -124,5 +128,5 @@
 
 rsync -avP ${NEMO_EXE}          ${PROD_DIR}/
-ln -sf     ${NEMO_EXE}          ${PROD_DIR}/nemo.exe.lnk
+ln -sf      ${NEMO_EXE}          ${PROD_DIR}/nemo.exe.lnk
 
 
@@ -158,5 +162,5 @@
 \ls -l ${DATA_IN_DIR}/*${SFORC}*.nc
 echo
-rsync -avP ${DATA_IN_DIR}/*${SFORC}*.nc ${PROD_DIR}/
+rsync -avPL ${DATA_IN_DIR}/*${SFORC}*.nc ${PROD_DIR}/
 echo; echo
 
@@ -188,5 +192,7 @@
         
         # The namelists:
-        rsync -avPL ${SASF_EXPREF}/${DIR_NL}/namelist_${scase}_cfg ${PROD_DIR}/namelist_cfg
+        #rsync -avPL ${fnml} ${PROD_DIR}/namelist_cfg
+        sed -e "s|<FORCING>|${FORCING}|g" -e "s|<SFORC>|${SFORC}|g" ${fnml} > ${PROD_DIR}/namelist_cfg
+
         rsync -avPL ${CFGS_SHARED}/namelist_ref                    ${PROD_DIR}/namelist_ref
         if [ ${i_sea_ice} -eq 1 ]; then
Index: NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/plot_station_asf_ICE.py
===================================================================
--- NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/plot_station_asf_ICE.py	(revision 13832)
+++ NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/tests/STATION_ASF/EXPREF/plot_station_asf_ICE.py	(revision 13835)
@@ -84,11 +84,10 @@
 
 
-# >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+# >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 # Populating and checking existence of files to be read
-# >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+# >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 
 dir_out = cdir_data+'/output'
 ldir = listdir(dir_out)
-
 cf_in    = []
 list_exp = []
@@ -96,5 +95,5 @@
 for fn in ldir:
     fpn = dir_out+'/'+fn
-    if path.isfile(dir_out+'/'+fn):
+    if path.isfile(fpn):
         if fn[:np]==cpref and fn[-ns:]==csuff and cforcing in fn:
             print('\n file: '+fn)
@@ -106,4 +105,9 @@
             cf_in.append(fpn)
 nbf = len( set(list_frc) )
+
+if nbf == 0:
+    print('PROBLEM: we found no files corresponding to a forcing!')
+    sys.exit(0)
+print("list_frc =>",list_frc)
 if not nbf == 1:
     print('PROBLEM: we found files for more that one forcing: ', set(list_frc))
@@ -120,7 +124,6 @@
     sys.exit(0)
 
-
-
-#-----------------------------------------------------------------
+# >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+# >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 
 
